## This is a resource name loader that will import the names of files from certain folders
## Intended as a way to quickly grab file names to use in accessibility.rpy, screens.rpy, and captiontool.rpy
## Remember to add commas to the end of each listed item
## As of RenPy7, basic images do not have to be defined (LayeredImages still need to be set up)
init -1:
    $ redefine_resources = False
    ## When you add, delete or rename an image or music resource, change redefine_resources to True and launch the project

## Sprites:
    # image Bob_base = "images/sprites/Bob_base.png"
    # image Bob_face_neutral = "images/sprites/Bob_face_neutral.png"
    # image Deloris_base = "images/sprites/Deloris_base.png"
    # image Deloris_face_neutral = "images/sprites/Deloris_face_neutral.png"
    # image Ethan_base = "images/sprites/Ethan_base.png"
    # image Ethan_face_neutral = "images/sprites/Ethan_face_neutral.png"
    # image Steven_base = "images/sprites/Steven_base.png"
    # image Steven_face_angry = "images/sprites/Steven_face_angry.png"
    # image Steven_face_blink = "images/sprites/Steven_face_blink.png"
    # image Steven_face_happy = "images/sprites/Steven_face_happy.png"
    # image Steven_face_neutral = "images/sprites/Steven_face_neutral.png"
    # image Steven_face_shocked = "images/sprites/Steven_face_shocked.png"
    # image Steven_face_surprised = "images/sprites/Steven_face_surprised.png"
    # image Steven_face_upset = "images/sprites/Steven_face_upset.png"
    # image emojipoo_shocked = "images/sprites/emojipoo-shocked-for-renpy.png"
## BGs:
    # image Bathroom_1_Day = "images/BG/Bathroom I - Day.jpg"
    # image Bedroom_Day_Indoor_Light = "images/BG/Bedroom - Day - Indoor Light.jpg"
    # image City_street_day = "images/BG/City street day.jpg"
    # image Kitchen_1_Daylight = "images/BG/Kitchen I - Daylight.jpg"
    # image Living_Room_1_Afternoon_Light = "images/BG/Living Room I - Afternoon Light.jpg"
    # image Realistic_valley_18 = "images/BG/Realistic_valley_18.png"
    # image Realistic_valley_33 = "images/BG/Realistic_valley_33.png"
    # image bath2 = "images/BG/bath2.jpg"
    # image bath3 = "images/BG/bath3.jpg"
    # image city1 = "images/BG/city1.jpg"
    # image kitchen1 = "images/BG/kitchen1.jpg"
    # image kitchen_day = "images/BG/kitchen_day.webp"
    # image living room1 = "images/BG/living room1.jpg"
    # image the_jp_mansion_day = "images/BG/the_jp_mansion_day.webp"
## CGs:
    # image cg_locked = "images/CG/cg_locked.jpg"

## Music:
# init -2 python:
    # Priceless_Poop = "audio/music/Mr. Beany's Bitty Band - Putting the Crap back in Crapcapella - 01 Priceless Poop.ogg"
    # Out_of_Earshot = "audio/music/Mr. Beany's Bitty Band - Putting the Crap back in Crapcapella - 02 Out of Earshot.ogg"
    # Hear_my_Toot = "audio/music/Mr. Beany's Bitty Band - Putting the Crap back in Crapcapella - 03 Hear my Toot.ogg"
    # My_Hair_Smells_like_Poop = "audio/music/Mr. Beany's Bitty Band - Putting the Crap back in Crapcapella - 04 My Hair Smells like Poop.ogg"
    # Pooping_about_Singing = "audio/music/Mr. Beany's Bitty Band - Putting the Crap back in Crapcapella - 05 Pooping about Singing.ogg"
    # Distractions_While_I_Poop = "audio/music/Mr. Beany's Bitty Band - Putting the Crap back in Crapcapella - 06 Distractions While I Poop.ogg"
    # How_many_songs_have_been_lost = "audio/music/Mr. Beany's Bitty Band - Putting the Crap back in Crapcapella - 07 How many songs have been lost-.ogg"
    # Life_is_Full_of_Poop = "audio/music/Mr. Beany's Bitty Band - Putting the Crap back in Crapcapella - 08 Life is Full of Poop.ogg"
    # Pooping_and_Singing = "audio/music/Mr. Beany's Bitty Band - Putting the Crap back in Crapcapella - 09 Pooping and Singing.ogg"
    # Tooting_Songs = "audio/music/Mr. Beany's Bitty Band - Putting the Crap back in Crapcapella - 10 Tooting Songs.ogg"
    # Today_I_got_Some_Gas = "audio/music/Mr. Beany's Bitty Band - Putting the Crap back in Crapcapella - 11 Today I got Some Gas.ogg"
    # When_You_Leave = "audio/music/Mr. Beany's Bitty Band - Putting the Crap back in Crapcapella - 12 When You Leave.ogg"
    # Inspired_to_Poop = "audio/music/Mr. Beany's Bitty Band - Putting the Crap back in Crapcapella - 13 Inspired to Poop.ogg"
    # OST_At_Home = "audio/music/yam655 - Crappy Game OST - 01 At Home.ogg"
    # OST_Outside_Boss_House = "audio/music/yam655 - Crappy Game OST - 02 Outside Boss House.ogg"

## Music Caption:
    # Priceless_Poop: _("Mr. Beany's Bitty Band - Putting the Crap back in Crapcapella - 01 Priceless Poop")
    # Out_of_Earshot: _("Mr. Beany's Bitty Band - Putting the Crap back in Crapcapella - 02 Out of Earshot")
    # Hear_my_Toot: _("Mr. Beany's Bitty Band - Putting the Crap back in Crapcapella - 03 Hear my Toot")
    # My_Hair_Smells_like_Poop: _("Mr. Beany's Bitty Band - Putting the Crap back in Crapcapella - 04 My Hair Smells like Poop")
    # Pooping_about_Singing: _("Mr. Beany's Bitty Band - Putting the Crap back in Crapcapella - 05 Pooping about Singing")
    # Distractions_While_I_Poop: _("Mr. Beany's Bitty Band - Putting the Crap back in Crapcapella - 06 Distractions While I Poop")
    # How_many_songs_have_been_los-: _("Mr. Beany's Bitty Band - Putting the Crap back in Crapcapella - 07 How many songs have been lost-")
    # Life_is_Full_of_Poop: _("Mr. Beany's Bitty Band - Putting the Crap back in Crapcapella - 08 Life is Full of Poop")
    # Pooping_and_Singing: _("Mr. Beany's Bitty Band - Putting the Crap back in Crapcapella - 09 Pooping and Singing")
    # Tooting_Songs: _("Mr. Beany's Bitty Band - Putting the Crap back in Crapcapella - 10 Tooting Songs")
    # Today_I_got_Some_Gas: _("Mr. Beany's Bitty Band - Putting the Crap back in Crapcapella - 11 Today I got Some Gas")
    # When_You_Leave: _("Mr. Beany's Bitty Band - Putting the Crap back in Crapcapella - 12 When You Leave")
    # Inspired_to_Poop: _("Mr. Beany's Bitty Band - Putting the Crap back in Crapcapella - 13 Inspired to Poop")
    # OST_At_Home: _("yam655 - Crappy Game OST - 01 At Home")
    # OST_Outside_Boss_House: _("yam655 - Crappy Game OST - 02 Outside Boss House")

## SFX:

## SFX Caption:

## Script to redefine the images:
## !!! DO NOT CHANGE THE CODE BELOW THIS POINT !!!
init -1 python:

    if redefine_resources:
        with open(renpy.loader.transfn('definitions.rpy'), 'rb') as f:
            s = f.read()
        f.closed
        pos = s.find('## Script to redefine the images')
        if pos>1:
            s=s[pos:]

        with open(renpy.loader.transfn('definitions.rpy'), 'wb') as f:
            f.write('## This is a resource name loader that will import the names of files from certain folders\n## Intended as a way to quickly grab file names to use in accessibility.rpy, screens.rpy, and captiontool.rpy\n## Remember to add commas to the end of each listed item\n## As of RenPy7, basic images do not have to be defined (LayeredImages still need to be set up)\r\ninit -1:\r\n    $ redefine_resources = False\n    ## When you add, delete or rename an image or music resource, change redefine_resources to True and launch the project\r\n\r\n')

            f.write('## Sprites:\r\n')
            for file in renpy.list_files():
                if file.startswith('images/sprites') and (file.endswith('.png') or file.endswith('.webp')):
                    name = file.replace('images/sprites/','').replace('/', ' ').replace('.png','').replace('.webp','')
                    img_str = 'image ' + name + ' = "' + file + '"'
                    f.write('    # ' + img_str + '\r\n')

            f.write('## BGs:\r\n')
            for file in renpy.list_files():
                if file.startswith('images/BG/') and (file.endswith('.png') or file.endswith('.webp') or file.endswith('.jpg')):
                    name = file.replace('images/BG/','').replace('/', ' ').replace('.png','').replace('.webp','').replace('.jpg','')
                    img_str = 'image ' + name + ' = "' + file + '"'
                    f.write('    # ' + img_str + '\r\n')

            f.write('## CGs:\r\n')
            for file in renpy.list_files():
                if file.startswith('images/CG/') and (file.endswith('.png') or file.endswith('.webp') or file.endswith('.jpg')):
                    name = file.replace('images/CG/','').replace('/', ' ').replace('.png','').replace('.webp','').replace('.jpg','')
                    img_str = 'image ' + name + ' = "' + file + '"'
                    f.write('    # ' + img_str + '\r\n')

            f.write('\r\n## Music:\r\n# init -2 python:\r\n')
            for file in renpy.list_files():
                if file.startswith('audio/music/') and (file.endswith('.ogg') or file.endswith('.wav') or file.endswith('.mp3')):
                    name = file.replace('audio/music/','').replace('/', ' ').replace('.ogg','').replace('.wav','').replace('.mp3','')
                    my_str = name + ' = "' + file + '"'
                    f.write('    # ' + my_str + '\r\n')

            f.write('\r\n## Music Caption:\r\n')
            for file in renpy.list_files():
                if file.startswith('audio/music/') and (file.endswith('.ogg') or file.endswith('.wav') or file.endswith('.mp3')):
                    name = file.replace('audio/music/','').replace('/', ' ').replace('.ogg','').replace('.wav','').replace('.mp3','')
                    my_str = name + ' = "' + file + '"'
                    f.write('    # ' + name + ': _("")' + '\r\n')

            f.write('\r\n## SFX:\r\n')
            for file in renpy.list_files():
                if file.startswith('audio/sfx/') and (file.endswith('.ogg') or file.endswith('.wav') or file.endswith('.mp3')):
                    name = file.replace('audio/sfx/','').replace('/', ' ').replace(' ', '_').replace('.ogg','').replace('.wav','').replace('.mp3','')
                    my_str = name + ' = "' + file + '"'
                    f.write('    # ' + my_str + '\r\n')

            f.write('\r\n## SFX Caption:\r\n')
            for file in renpy.list_files():
                if file.startswith('audio/sfx/') and (file.endswith('.ogg') or file.endswith('.wav') or file.endswith('.mp3')):
                    name = file.replace('audio/sfx/','').replace('/', ' ').replace(' ', '_').replace('.ogg','').replace('.wav','').replace('.mp3','')
                    my_str = name + ' = "' + file + '"'
                    f.write('    # ' + name + ': _("")' + '\r\n')
            f.write('\r\n')
        f.closed

        with open(renpy.loader.transfn('definitions.rpy'), 'ab') as f:
            f.write(s)
        f.closed
